from audio_sources.RtpAudioSource import RtpAudioSource
from audio_sources.LocalFileAudioSource import LocalFileAudioSource
from audio_sources.InformacastAudioSource import InformacastAudioSource
from audio_sources.SipAudioSource import SipAudioSource
from audio_sources.SynAppsAudioSource import SynAppsAudioSource
from audio_sources.HTTPAudioSource import HTTPAudioSource
from audio_sources.PagingAudioSource import PagingAudioSource
from audio_sources.UsbAudioSource import UsbAudioSource
from audio_sources.SchedulerAudioSource import SchedulerAudioSource
from audio_sources.DanteAudioSource import DanteAudioSource
from audio_sources.LineInAudioSource import LineInAudioSource
from audio_sources.UdpAudioSource import UdpAudioSource


def load_audio_source(config):
    if config['source']['type'] == "rtp":
        return RtpAudioSource(config)
    elif config['source']['type'] == "barix_radio":
        config['source']['config'].update({"url": "http://barix.streamguys.net/barix_hi"})
        return HTTPAudioSource(config)
    elif config['source']['type'] == "syn-apps":
        return SynAppsAudioSource(config)
    elif config['source']['type'] == "local_file":
        return LocalFileAudioSource(config)
    elif config['source']['type'] == "informacast":
        return InformacastAudioSource(config)
    elif config['source']['type'] == "sip":
        return SipAudioSource(config)
    elif config['source']['type'] == "http":
        return HTTPAudioSource(config)
    elif config['source']['type'] == "paging":
        return PagingAudioSource(config)
    elif config['source']['type'] == "usb":
        return UsbAudioSource(config)
    elif config['source']['type'] == "scheduler":
        return SchedulerAudioSource(config)
    elif config['source']['type'] == "dante":
        return DanteAudioSource(config)
    elif config['source']['type'] == "line-in":
        return LineInAudioSource(config)
    elif config['source']['type'] == "udp":
        return UdpAudioSource(config)
    else:
        print("Unsupported source type: {}".format(config['source']['type']))

if __name__ == '__main__':
    pass