import logging
import json
from flask import Blueprint, Response
from barix.web.system_info import getHWTypeID, getSystemInfo
from api.web.controllers.no_session_config import get_valid_licenses

bp_web_no_session = Blueprint('bp_web_no_session', __name__)
log = logging.getLogger('flask-backend')


@bp_web_no_session.route('/init-config', methods=['GET'])
def get_system_init_config():
    """
    Retrieve all initial non session config for web.
    :return: Object with all init config info.
    """
    return_msg = {}

    try:
        return_msg['HW_type_ID'] = getHWTypeID()
        return_msg['licenses'] = get_valid_licenses()
        return Response(json.dumps(return_msg), status=200)
    except Exception as e:
        log.error(e)
        return Response(status=500)

