from . import flexa_uci

class SyslogHandle:

    def __init__(self) -> None:
        self.serverAddress = flexa_uci.uci_get("log.syslog.server")
        self.protocol  = flexa_uci.uci_get("log.syslog.protocol")
        self.server = None
        self.port = None

        self.enabled = False
        if self.serverAddress != "":
            self.enabled = True
            ( self.server, self.port ) = self.serverAddress.split(':')
            self.port = int(self.port)

    def isEnabled(self):
        return self.enabled

    def getServerAddress(self):
        return self.serverAddress

    def getServer(self):
        return self.server

    def getPort(self):
        return self.port

    def getSyslogProtocol(self):
        return self.protocol

