#!/bin/sh  
 
PROCESS="python3"                                         
                                                                   
# Sleep interval in seconds                   
SLEEP_INTERVAL=5                     
                                       
log_to_syslog() {                   
    local message="$1"                      
    logger -t "ipspeaker-monitor" "$message"
}                                           
                                            
check_defunct() {                                         
    if ps aux | grep "${PROCESS}" | grep -q 'defunct'; then
        return 1                                                             
    else                                                                     
        return 0   # found defunct                                                          
    fi                                                                       
}                                                                                                  
                                                                                                   
restart_app() {                                                                                    
    barix-wd --pid-file=/var/run/ipac-app.pid --restart &                                                                                               
}                                                                                                  
                                                                                                   
while true; do                                                                                     
    if ! check_defunct; then                                                                                                        
        log_to_syslog "$PROCESS is defunct. Restarting..."                                                     
        restart_app                                                  
    fi                                                               
    sleep $SLEEP_INTERVAL                                            
done       
